//---------------------------------------------------------------------------

#ifndef ide_vsplitH
#define ide_vsplitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class Tide_vsplit_Form : public TForm
{
__published:	// IDE-managed Components
        void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
private:	// User declarations
public:		// User declarations

        __fastcall Tide_vsplit_Form(TComponent* Owner);

        //[2012.04.29.일][완료!!!]
        __fastcall ~Tide_vsplit_Form(void);

        //[서브클래싱]
        //{
            void __fastcall WndProc(Messages::TMessage &Message);
        //}

        //[VAR]
        //{
            //[환경변수]
            //{
                //[2007.10.02.화][추가!!!]
                struct  IDE_OPTION   *_ide_option;

            //}

            //[실제 그리는 영역]{------
            Graphics::TBitmap  *_bmp_;
            //}------------------------

            POINT               _mouse_down_point;

            //[2009.11.28.토][추가!!!]{------------------------------
            //해당 [동작함수] 가 사용중인지 표시한다.
            //이는 해당 [동작함수] 의 [재쉬호출] 을 막기위한 것이다.
            bool  FormMouseMove_Running;
            //}------------------------------------------------------

        //}

        //[FUNCTION]
        //{
            void __fastcall _Shape(void);

            void __fastcall _Resize(void);

            void __fastcall _Splits(void);

            void __fastcall _Split_h(void);

            void __fastcall _Draw(void);

        //}

};
//---------------------------------------------------------------------------
extern PACKAGE Tide_vsplit_Form *ide_vsplit_Form;
//---------------------------------------------------------------------------
#endif
